[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpMkfifo

Create FIFO (named pipe) in file system

## Declaration

Source position: bunxh.inc line 33

`function FpMkfifo(`
`path: pChar;`
`Mode: TMode`
`):cint; function FpMkfifo(`
`const path: RawByteString;`
`Mode: TMode`
`):cint;`

## Description

fpMkFifo creates named a named pipe in the file system, with name Path and mode Mode.

The function returns zero if the command was successful, and nonzero if it failed.

## Errors

The error codes include:

sys_emfile
  Too many file descriptors for this process.
sys_enfile
  The system file table is full.